> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corrily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Retrieve the details of a single Corrily product.

<RequestExample>
  ```bash Bash theme={null}
  curl --location --request GET 'https://client.corrily.com/v1/products/monthly'
  ```
</RequestExample>

<ResponseExample>
  ```json Example theme={null}
  {
    "message": "Successfully retrieved product.",
    "success": true,
    "api_id": "monthly",
    "name": "Monthly Product",
    "base_px": 10.0,
    "max_px": 999.0,
    "min_px": 0.0,
    "baseline_id": null,
    "product_trials": [],
    "integrations": [
      {
        "type": "stripe",
        "stripe_product_id": "my_stripe_pid",
        "interval": "year",
        "interval_count": 1
      }
    ],
    "country_prices": [
      {
        "country": "ES",
        "local_price": 50.0,
        "currency": "EUR"
      }
    ],
    "features": [
      {
        "api_id": "email_sync",
        "name": "Full email sync with templates, open and click tracking and group emailing",
        "description": "Full email sync with templates, open and click tracking and group emailing",
        "status": "active",
        "type": "boolean",
        "unit": null,
        "group_id": 1200,
        "feature_group": {
          "id": 1200,
          "api_id": "collaboration",
          "name": "Collaboration",
          "description": ""
        },
        "value": 0
      }
    ]
  }
  ```
</ResponseExample>

## Path Params

<ParamField path="product_api_id" type="string" required>
  The api ID of the product.
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether or not the request completed successfully.
</ResponseField>

<ResponseField name="message" type="string">
  Text information about request status. In case of an error here will be a useful explanation.
</ResponseField>

<ResponseField name="api_id" type="string">
  Product's corrily api\_id
</ResponseField>

<ResponseField name="name" type="string">
  Product's name
</ResponseField>

<ResponseField name="base_px" type="number">
  Product's base price in float format
</ResponseField>

<ResponseField name="baseline_id" type="number">
  ID of another product, considered as “baseline”.
  It is used to calculate striked price(`price_with_baseline_strike`) in `/v1/prices` response.
</ResponseField>

<ResponseField name="integrations" type="array">
  A list of connected payment integrations (Stripe, Chargebee, ...)

  <Expandable>
    <ResponseField name="integration" type="object">
      Object, containts information about for a one payment integration

      <Expandable>
        <ResponseField name="type" type="string">
          stripe\_with\_interval
        </ResponseField>

        <ResponseField name="stripe_product_id" type="string">
          Product id on the payment provider side
        </ResponseField>

        <ResponseField name="interval" type="string">
          Payment interval (year, month)
        </ResponseField>

        <ResponseField name="interval_count" type="number">
          Cadense of payments
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="product_trials" type="array" />

<ResponseField name="country_prices" type="array">
  A list of price objects for the given product

  <Expandable>
    <ResponseField name="country_price" type="object">
      Object, containts information about for a one payment integration

      <Expandable>
        <ResponseField name="country" type="string">
          Two-letter ISO3166 country code.
        </ResponseField>

        <ResponseField name="local_price" type="number">
          Price value
        </ResponseField>

        <ResponseField name="currency" type="string">
          The three-letter ISO4217 currency code of the price in this country.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="features" type="array">
  A list of features connected to the product

  <Expandable>
    <ResponseField name="feature" type="object">
      Feature object

      <Expandable>
        <ResponseField name="api_id" type="string">
          Feature's corrily api\_id value
        </ResponseField>

        <ResponseField name="name" type="string">
          Feature's name
        </ResponseField>

        <ResponseField name="description" type="string">
          Feature's description
        </ResponseField>

        <ResponseField name="status" type="string">
          Feature's status (active, inactive)
        </ResponseField>

        <ResponseField name="status" type="string">
          Feature's status (active, inactive)
        </ResponseField>

        <ResponseField name="type" type="string">
          Feature's type (boolean, numeric)
        </ResponseField>

        <ResponseField name="unit" type="string">
          Feature's measurement unit. Applicable only for numeric features. For boolean features equals null
        </ResponseField>

        <ResponseField name="value" type="number">
          Feature's threshold value. Applicable only for numeric features, for boolean always equals to 0
        </ResponseField>

        <ResponseField name="group_id" type="number">
          Feature's group id
        </ResponseField>

        <ResponseField name="feature_group" type="object">
          <Expandable>
            Feature Group object

            <ResponseField name="id" type="number">
              Feature's group id
            </ResponseField>

            <ResponseField name="api_id" type="string">
              Feature's group api\_d
            </ResponseField>

            <ResponseField name="name" type="string">
              Feature's group name
            </ResponseField>

            <ResponseField name="description" type="string">
              Feature's group description
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>
